//
//  CustomCollectionView.h
//  testproject
//
//  Created by wulinjie on 2016/11/18.
//  Copyright © 2016年 wulj. All rights reserved.
//

#import <UIKit/UIKit.h>

@class CustomCollectionView;
@protocol UICustomClickDelegate <NSObject>
@optional

- (void)customCollectionView:(nullable CustomCollectionView *)collectionView didClickIndexPath:(nullable NSIndexPath *)indexPath postObj:(nullable NSObject*)object;
@end

@interface CustomCollectionView : UICollectionView<UICollectionViewDelegate,UICollectionViewDataSource>

@property (nonatomic, strong,nullable) NSMutableArray *dataList;

@property (nonatomic, weak, nullable) id <UICustomClickDelegate> cusomDelegate;

- (void)registerNib:(nullable UINib *)nib forCellWithReuseClass:(nullable Class)aClass;
- (void)registerClass:(nullable Class)cellClass forCellWithReuseObject:(nullable  Class)aClass;
- (void)registerNib:(nullable UINib *)nib forSupplementaryViewOfKind:(nullable NSString *)kind withReuseObject:(nullable Class)aClass;
- (void)registerClass:(nullable Class)viewClass forSupplementaryViewOfKind:(nullable NSString *)elementKind withReuseObject:(nullable Class)aClass;


@end
