//
//  ViewController.m
//  testproject
//
//  Created by wulinjie on 2016/11/18.
//  Copyright © 2016年 wulj. All rights reserved.
//

#import "ViewController.h"
#import "Common.h"
#import "testCollectionViewCell.h"
#import "test2CollectionViewCell.h"

@interface ViewController ()<UICustomClickDelegate>

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    CustomCollectionView *test = [[CustomCollectionView alloc]initWithFrame:self.view.bounds];
    [self.view addSubview:test];
    [test registerNib:[UINib nibWithNibName:@"testCollectionViewCell" bundle:[NSBundle mainBundle]] forCellWithReuseClass:[testObject class]];
    [test registerNib:[UINib nibWithNibName:@"test2CollectionViewCell" bundle:[NSBundle mainBundle]] forCellWithReuseClass:[testObject2 class]];
    
    NSMutableArray *list = [[NSMutableArray alloc]init];
    for (int i = 0; i < 3; i++) {
        testObject *obj = [[testObject alloc]init];
        obj.collectionViewCellSize = CGSizeMake((i+2)*34, (i+0.5)*33);
        [list addObject:obj];
    }
    [test.dataList addObject:list];
    
    for (int i = 0; i < 3; i++) {
        testObject2 *obj = [[testObject2 alloc]init];
        obj.collectionViewCellSize = CGSizeMake((i+2)*35, (i+2)*20);
        [list addObject:obj];
    }
    testObject *obj = [[testObject alloc]init];
    obj.collectionViewCellSize = CGSizeMake(10, 10);
    [test.dataList addObject:obj];
    [test.dataList addObject:obj];
    [test reloadData];
    
    
    // Do any additional setup after loading the view, typically from a nib.
}


- (void)customCollectionView:(nullable CustomCollectionView *)collectionView didClickIndexPath:(nullable NSIndexPath *)indexPath postObj:(nullable NSObject*)object
{
    NSLog(@"%@",object);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
